from typing import List, Optional
import uuid
from pydantic import UUID1, UUID4, BaseModel, ConfigDict, Field

class Cluster(BaseModel):
    model_config = ConfigDict(from_attributes=True)

    id: UUID4
    name: str
    compute_id: UUID4
    storage_id: UUID1
    network_switch_id: UUID4